//---------------------------------------------------------------------------
// Script file for the level 1 of the airport
// Geoffroy Audy, September 9th 1996
//---------------------------------------------------------------------------

define  TRUCKDOOR  0
define  BIGBOX1    1
define  BIGBOX2    2
define  METALARM   3
define  METALPLATE 4
define  GUN        5
define  BIGGRLA1   6
define  BIGGRLA2   7
define  BIGGRLA3   8
define  BIGGRLA4   9
define  BIGGRLA5   10
define  BIGGRLA6   11
define  BIGGRLA7   12
define  BIGGRLA8   13
define  BIGGRLA9   14
define  BIGGRLA10  15
define  BIGGRLA11  16
define  BIGGRLA12  17
define  CAPTAIN    18
define  GUERILLA1  19
define  GUERILLA2  20
define  GUERILLA3  21
define  GUERILLA4  22
define  GUERILLA5  23
define  GUERILLA6  24
define  GUERILLA7  25
define  GUERILLA8  26
define  GUERILLA9  27
define  GUERILLA10 28
define  GUERILLA11 29
define  GUERILLA12 30
define  GUERILLA13 31
define  GUERILLA14 32
define  GUERILLA15 33
define  GUERILLA16 34
define  GUERILLA17 35
define  GUERILLA18 36
define  GUERILLA19 37
define  WORKER1    38
define  WORKER2    39
define  WORKER3    40
define  WORKER4    41
define  WORKER5    42
define  WORKER6    43
define  WORKER7    44
define  WORKER8    45
define  WORKER9    46
define  WORKER10   47
define  WORKER11   48
define  WORKER12   49
define  WORKER13   50
define  WORKER14   51
define  WORKER15   52
define  JERRY1     53
define  JERRY2     54
define  JERRY3     55
define  JERRY4     56
define  JERRY5     57
define  JERRY6     58
define  LUGWOMAN   59
define  SPARKLE    60
define  GRENADE1   61
define  GRENADE2   62
define  GRENADE3   63
define  GRENADE4   64
define  GRENADE5   65
define  BITCH      66

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\AIRPORT\AIRPORT1.BKD                  // BKD 0
setBKDLoc 0 0 0 0                                       //
loadVAB \SOUNDFX\AIRPORT.VAB                            // Sound fx

loadKRT \SPRITES\AIRPORT\LEVEL1\MISOBJ.KRT              // Char 0
ObjectCharacteristics TRUCKDOOR 1152                    // Char 0 is an object
CloneCharacter TRUCKDOOR                                // Char 1
CloneCharacter TRUCKDOOR                                // Char 2
CloneCharacter TRUCKDOOR                                // Char 3
CloneCharacter TRUCKDOOR                                // Char 4
ObjectCharacteristics BIGBOX2 1024                      //
loadKRT \SPRITES\AIRPORT\LEVEL1\WEAPON1.KRT             // Char 5
ObjectCharacteristics GUN 1032                          // Char 5 is a gun
loadKRT \SPRITES\AIRPORT\LEVEL1\GASGUY.KRT              // Char 6
CloneCharacter BIGGRLA1                                 // Char 7
CloneCharacter BIGGRLA1                                 // Char 8
CloneCharacter BIGGRLA1                                 // Char 9
CloneCharacter BIGGRLA1                                 // Char 10
CloneCharacter BIGGRLA1                                 // Char 11
CloneCharacter BIGGRLA1                                 // Char 12
CloneCharacter BIGGRLA1                                 // Char 13
CloneCharacter BIGGRLA1                                 // Char 14
CloneCharacter BIGGRLA1                                 // Char 15
CloneCharacter BIGGRLA1                                 // Char 16
CloneCharacter BIGGRLA1                                 // Char 17
loadKRT \SPRITES\AIRPORT\LEVEL1\CAPTVICT.KRT            // Char 18
ObjectCharacteristics CAPTAIN 1030                      // Char 18 is a victim
loadKRT \SPRITES\AIRPORT\LEVEL1\GUERILLA.KRT            // Char 19
CloneCharacter GUERILLA1                                // Char 20
CloneCharacter GUERILLA1                                // Char 21
CloneCharacter GUERILLA1                                // Char 22
CloneCharacter GUERILLA1                                // Char 23
CloneCharacter GUERILLA1                                // Char 24
CloneCharacter GUERILLA1                                // Char 25
CloneCharacter GUERILLA1                                // Char 26
CloneCharacter GUERILLA1                                // Char 27
CloneCharacter GUERILLA1                                // Char 28
CloneCharacter GUERILLA1                                // Char 29
CloneCharacter GUERILLA1                                // Char 30
CloneCharacter GUERILLA1                                // Char 31
CloneCharacter GUERILLA1                                // Char 32
CloneCharacter GUERILLA1                                // Char 33
CloneCharacter GUERILLA1                                // Char 34
CloneCharacter GUERILLA1                                // Char 35
CloneCharacter GUERILLA1                                // Char 36
CloneCharacter GUERILLA1                                // Char 37
SetScale GUERILLA1 3500
SetScale GUERILLA2 3500
SetScale GUERILLA5 4800
SetScale GUERILLA6 3500
SetScale GUERILLA7 3800
SetScale GUERILLA8 3500
SetScale GUERILLA9 3500
SetScale GUERILLA10 3500
SetScale GUERILLA12 3500
loadKRT \SPRITES\AIRPORT\LEVEL1\WORKER.KRT              // Char 38
CloneCharacter WORKER1                                  // Char 39
CloneCharacter WORKER1                                  // Char 40
CloneCharacter WORKER1                                  // Char 41
CloneCharacter WORKER1                                  // Char 42
CloneCharacter WORKER1                                  // Char 43
CloneCharacter WORKER1                                  // Char 44
CloneCharacter WORKER1                                  // Char 45
CloneCharacter WORKER1                                  // Char 46
CloneCharacter WORKER1                                  // Char 47
CloneCharacter WORKER1                                  // Char 48
CloneCharacter WORKER1                                  // Char 49
CloneCharacter WORKER1                                  // Char 50
CloneCharacter WORKER1                                  // Char 51
CloneCharacter WORKER1                                  // Char 52
SetScale WORKER5 3200
loadKRT \SPRITES\AIRPORT\LEVEL1\JERRY.KRT               // Char 53
CloneCharacter JERRY1                                   // Char 54
CloneCharacter JERRY1                                   // Char 55
CloneCharacter JERRY1                                   // Char 56
CloneCharacter JERRY1                                   // Char 57
CloneCharacter JERRY1                                   // Char 58
SetScale JERRY1 3200
SetScale JERRY2 2800
SetScale JERRY3 2800
SetScale JERRY4 3200
SetScale JERRY5 2800
SetScale JERRY6 2800
loadKRT \SPRITES\AIRPORT\LEVEL1\LUGWOM.KRT              // Char 59
ObjectCharacteristics LUGWOMAN 1030                     // Char 59 is a victim
loadKRT \SPRITES\AIRPORT\LEVEL1\EXPLO2.KRT              // Char 60
ObjectCharacteristics SPARKLE 17412                     // Char 60 is a victim
loadKRT \SPRITES\AIRPORT\LEVEL1\GRENADE.KRT             // Char 61
ObjectCharacteristics GRENADE1 1348                     // Char 61 is a grenade
CloneCharacter GRENADE1                                 // Char 62
CloneCharacter GRENADE1                                 // Char 63
CloneCharacter GRENADE1                                 // Char 64
CloneCharacter GRENADE1                                 // Char 65

AssignProjectile GUERILLA2 GRENADE1
AssignProjectile GUERILLA4 GRENADE2
AssignProjectile GUERILLA7 GRENADE3
AssignProjectile GUERILLA15 GRENADE4
AssignProjectile GUERILLA16 GRENADE5

Link TRUCKDOOR WORKER3 7 14 0 0 123 210
Link TRUCKDOOR WORKER3 8 10 0 0  90 210
Link TRUCKDOOR WORKER3 8 11 0 0  90 210
Link SPARKLE METALPLATE 0 5 0 0 330 198
Link METALARM BIGBOX1 11  1 0 0  25 134
Link METALARM BIGBOX1 12  2 0 0  25 156

PlayTrack 505 7                   // Play STAGE3

//-------------------------------------
// Various objects
//-------------------------------------
StartActionXY TRUCKDOOR  6 123 210 11    0 0 L1
StartActionXY METALPLATE 4 330 198 11    0 0 L1
StartActionXY GUN        5 327 198  4    0 0 L1
StartActionXY BIGBOX1    0  23  60  3    0 0 L1
Attach        BIGBOX2  BIGBOX1 3 0 0 40 0  1 L1
StartActionXY METALARM   9  25 134  1    0 0 L1

ScrollBKDTo 0 0 0 0 1

//-------------------------------------
// Enemy group #1
//-------------------------------------
StartActionXY BIGGRLA1   0  80 290 14   60 0 L1
StartActionXY BIGGRLA2   0 240 290 14  120 0 L1
StartActionXY WORKER1    9 260  85  4  180 1 L1
StartActionXY GUERILLA1 12  50  80  2  240 0 L1
StartActionXY BIGGRLA3   0 240 290 14  300 0 L1
StartActionXY JERRY1     2 151  84  4  360 0 L1
StartActionXY GUERILLA2  2  50  75  2  420 1 L1
StartActionXY WORKER2    2 180 230  4  480 0 L1
StartActionXY WORKER3   14  95 215  4  540 0 L1
StartActionXY GUERILLA3 12 245 227  4  600 0 L1
StartActionXY GUERILLA4  2  50 200  4  660 1 L1
StartActionXY WORKER4    9 260  85  4  720 1 L1
StartActionXY CAPTAIN    0 330 210  4  780 1 L1
StartActionXY BIGBOX1    1  23  60  3  785 0 L1
StartActionXY GUERILLA5  0 330 220 13  840 1 L1
StartActionXY BIGGRLA4   0  80 290 14  900 1 L1
StartActionXY GUERILLA6 14 200  78  4  960 0 L1
StartActionXY WORKER5    9  20 158  2 1020 0 L1
StartActionXY WORKER6    2  75 205  4 1080 0 L1
StartActionXY BIGBOX1    2  23 140  3 1130 0 L1
StartActionXY JERRY2     3 200  80  4 1140 0 L1
StartActionXY WORKER7    2 185 225  4 1200 0 L1

ScrollBKDTo 0 -120 0 120 1260

//-------------------------------------
// Enemy group #2
//-------------------------------------
StartActionXY GUERILLA7  2 240 215  4 1261 1 L1
StartActionXY GUERILLA8 14 200  78  4 1320 0 L1
StartActionXY BIGGRLA5   0 340 290 14 1380 0 L1
StartActionXY WORKER8    2 410 190  4 1440 0 L1
StartActionXY WORKER9    0 180 220  4 1500 0 L1
StartActionXY GUERILLA9 14 200  78  4 1560 0 L1
StartActionXY BIGGRLA6   0 340 290 14 1620 0 L1
StartActionXY LUGWOMAN   0 320 210  4 1680 1 L1
StartActionXY JERRY3     3 200  80  4 1740 0 L1
StartActionXY WORKER10   2 347 142  4 1800 0 L1
StartActionXY GUERILLA10 14 265 78  4 1860 1 L1
StartActionXY JERRY4     6 312 115  4 1920 0 L1
StartActionXY BIGGRLA7   0 210 290 14 1980 0 L1
StartActionXY WORKER11   9 183 215  4 2040 0 L1
StartActionXY BIGGRLA8   0 340 290 14 2100 0 L1
StartActionXY JERRY5     3 200  80  4 2160 0 L1

ScrollBKDTo 0 -203 0 83 2220

//-------------------------------------
// Enemy group #3
//-------------------------------------
StartActionXY WORKER12   2 347 142  4 2280 0 L1
StartActionXY WORKER13   2 446 215  4 2340 0 L1
StartActionXY GUERILLA11 12 285 210 4 2400 0 L1
StartActionXY BIGGRLA9   0 450 290 14 2460 0 L1
//StartActionXY BITCH      a xxx yyy dd 2520 0 L1
StartActionXY GUERILLA12 12 312 115 4 2580 0 L1
StartActionXY BIGGRLA10  0 450 290 14 2640 0 L1
StartActionXY GUERILLA13 12 278 210 4 2700 0 L1
StartActionXY WORKER14   2 410 192  4 2760 0 L1
StartActionXY JERRY6     6 315 112  4 2820 0 L1
StartActionXY WORKER15   2 445 220  4 2880 0 L1
StartActionXY GUERILLA14 12 343 142 4 2940 0 L1
StartActionXY BIGGRLA11  0 340 290 14 3000 0 L1
StartActionXY BIGGRLA12  0 460 290 14 3060 0 L1
StartActionXY GUERILLA15 2 275 210  4 3120 1 L1
StartActionXY GUERILLA16 2 405 185  4 3180 0 L1

ScrollBKDTo 0 -203 0 0 3240

EndRound 3241
