//---------------------------------------------------------------------------
// Script file for the level 2 of the Drug dealers (boat)
// Geoffroy Audy, January 2nd 1997
//---------------------------------------------------------------------------

define  BOAT1      0
define  BOAT2      1
define  BOAT3      2
define  BOAT4      3
define  BOAT5      4
define  BOAT6      5
define  BOAT7      6
define  BOAT8      7
define  BOAT9      8
define  BOAT10     9
define  BOAT11     10
define  BOAT12     11
define  BOAT13     12
define  BOAT14     13
define  WINDOW1    14
define  WINDOW2    15
define  WINDOW3    16
define  WINDOW4    17
define  WINDOW5    18
define  WINDOW6    19
define  WINDOW7    20
define  WINDOW8    21
define  GUN        22
define  BARREL1    23
define  BARREL2    24
define  BARREL3    25
define  EXPLOSION1 26
define  EXPLOSION2 27
define  EXPLOSION3 28
define  EXPLOSION4 29
define  EXPLOSION5 30
define  EXPLOSION6 31
define  BIGGUY1    32
define  BIGGUY2    33
define  BIGGUY3    34
define  BIGGUY4    35
define  BIGGUY5    36
define  BIGGUY6    37
define  GEORGE1    38
define  GEORGE2    39
define  GEORGE3    40
define  GEORGE4    41
define  GEORGE5    42
define  GEORGE6    43
define  GEORGE7    44
define  GEORGE8    45
define  GEORGE9    46
define  GEORGE10   47
define  GEORGE11   48
define  GEORGE12   49
define  GEORGE13   50
define  GEORGE14   51
define  GEORGE15   52
define  BOB1       53
define  BOB2       54
define  BOB3       55
define  BOB4       56
define  BOB5       57
define  BOB6       58
define  BOB7       59
define  BOB8       60
define  BOB9       61
define  BOB10      62
define  BOB11      63
define  BOB12      64
define  BOB13      65
define  BOB14      66
define  BOB15      67
define  STC1       68
define  STC2       69
define  STC3       70
define  STC4       71
define  STC5       72
define  STC6       73
define  STC7       74
define  STC8       75
define  STC9       76
define  STC10      77
define  STC11      78
define  STC12      79
define  STC13      80
define  STC14      81
define  STC15      82
define  STC16      83
define  STC17      84
define  SQUAT1     85
define  SQUAT2     86
define  SQUAT3     87
define  SQUAT4     88
define  SQUAT5     89
define  SQUAT6     90
define  SQUAT7     91
define  SQUAT8     92
define  SQUAT9     93
define  SQUAT10    94
define  SQUAT11    95
define  SQUAT12    96
define  SQUAT13    97
define  SQUAT14    98
define  SQUAT15    99
define  SQUAT16    100
define  SQUAT17    101
define  SQUAT18    102

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\DRUGDEAL\DRUG2.BKD            // BKD 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\DRUGDEAL.VAB                   // Sound fx

loadKRT \SPRITES\DRUGDEAL\LEVEL2\BOAT.KRT       // Char 0
ObjectCharacteristics BOAT1 16384               // Char 0
CloneCharacter BOAT1                            // Char 1
CloneCharacter BOAT1                            // Char 2
CloneCharacter BOAT1                            // Char 3
CloneCharacter BOAT1                            // Char 4
CloneCharacter BOAT1                            // Char 5
CloneCharacter BOAT1                            // Char 6
CloneCharacter BOAT1                            // Char 7
CloneCharacter BOAT1                            // Char 8
CloneCharacter BOAT1                            // Char 9
CloneCharacter BOAT1                            // Char 10
CloneCharacter BOAT1                            // Char 11
CloneCharacter BOAT1                            // Char 12
CloneCharacter BOAT1                            // Char 13
loadKRT \SPRITES\DRUGDEAL\LEVEL2\LARGWIN.KRT    // character 14
ObjectCharacteristics WINDOW1 1056              // Window Type
clonecharacter WINDOW1                          // Char 15
clonecharacter WINDOW1                          // Char 16
clonecharacter WINDOW1                          // Char 17
clonecharacter WINDOW1                          // Char 18
loadKRT \SPRITES\DRUGDEAL\LEVEL2\SMALWIN.KRT    // Char 19
ObjectCharacteristics WINDOW6 1056              // Window type
clonecharacter WINDOW6                          // Char 20
loadKRT \SPRITES\DRUGDEAL\LEVEL2\BIGWIN.KRT     // Char 21
ObjectCharacteristics WINDOW8 1056              // Window type
loadKRT \SPRITES\DRUGDEAL\LEVEL2\WEAPON1.KRT    // Char 22
ObjectCharacteristics GUN 1032                  // Gun type
loadKRT \SPRITES\DRUGDEAL\LEVEL2\BARREL.KRT     // Char 23
ObjectCharacteristics BARREL1 128               //
SetTotalHitPoints BARREL1 4                     //
CloneCharacter BARREL1                          // Char 24
CloneCharacter BARREL1                          // Char 25
loadKRT \SPRITES\DRUGDEAL\LEVEL2\EXPLO.KRT      // Char 26
ObjectCharacteristics EXPLOSION1 16384          //
CloneCharacter EXPLOSION1                       // Char 27
CloneCharacter EXPLOSION1                       // Char 28
CloneCharacter EXPLOSION1                       // Char 29
CloneCharacter EXPLOSION1                       // Char 30
CloneCharacter EXPLOSION1                       // Char 31
SetDepth EXPLOSION1 2                           //
SetDepth EXPLOSION2 2                           //
SetDepth EXPLOSION3 2                           //
SetDepth EXPLOSION4 2                           //
SetDepth EXPLOSION5 2                           //
SetDepth EXPLOSION6 2                           //
loadKRT \SPRITES\DRUGDEAL\LEVEL2\FACE.KRT       // Char 32
CloneCharacter BIGGUY1                          // Char 33
CloneCharacter BIGGUY1                          // Char 34
CloneCharacter BIGGUY1                          // Char 35
CloneCharacter BIGGUY1                          // Char 36
CloneCharacter BIGGUY1                          // Char 37
loadKRT \SPRITES\DRUGDEAL\LEVEL2\GEORGE.KRT     // Char 38
CloneCharacter GEORGE1                          // Char 39
CloneCharacter GEORGE1                          // Char 40
CloneCharacter GEORGE1                          // Char 41
CloneCharacter GEORGE1                          // Char 42
CloneCharacter GEORGE1                          // Char 43
CloneCharacter GEORGE1                          // Char 44
CloneCharacter GEORGE1                          // Char 45
CloneCharacter GEORGE1                          // Char 46
CloneCharacter GEORGE1                          // Char 47
CloneCharacter GEORGE1                          // Char 48
CloneCharacter GEORGE1                          // Char 49
CloneCharacter GEORGE1                          // Char 50
CloneCharacter GEORGE1                          // Char 51
CloneCharacter GEORGE1                          // Char 52
SetScale GEORGE1 3200                           //
SetScale GEORGE2 4500                           //
SetScale GEORGE3 3500                           //
SetScale GEORGE4 3200                           //
SetScale GEORGE5 4500                           //
SetScale GEORGE6 3500                           //
SetScale GEORGE7 4500                           //
SetScale GEORGE8 4500                           //
SetScale GEORGE9 3200                           //
SetScale GEORGE10 3200                          //
SetScale GEORGE11 4500                          //
SetScale GEORGE12 3500                          //
SetScale GEORGE13 3500                          //
SetScale GEORGE14 3500                          //
SetDefScale 3400                                //
loadKRT \SPRITES\DRUGDEAL\LEVEL2\BOB1.KRT       // Char 53
CloneCharacter BOB1                             // Char 54
CloneCharacter BOB1                             // Char 55
CloneCharacter BOB1                             // Char 56
CloneCharacter BOB1                             // Char 57
CloneCharacter BOB1                             // Char 58
CloneCharacter BOB1                             // Char 59
CloneCharacter BOB1                             // Char 60
CloneCharacter BOB1                             // Char 61
CloneCharacter BOB1                             // Char 62
CloneCharacter BOB1                             // Char 63
CloneCharacter BOB1                             // Char 64
CloneCharacter BOB1                             // Char 65
CloneCharacter BOB1                             // Char 66
CloneCharacter BOB1                             // Char 67
SetDefScale 3200                                //
loadKRT \SPRITES\DRUGDEAL\LEVEL2\STC.KRT        // Char 68
CloneCharacter STC1                             // Char 69
CloneCharacter STC1                             // Char 70
CloneCharacter STC1                             // Char 71
CloneCharacter STC1                             // Char 72
CloneCharacter STC1                             // Char 73
CloneCharacter STC1                             // Char 74
CloneCharacter STC1                             // Char 75
CloneCharacter STC1                             // Char 76
CloneCharacter STC1                             // Char 77
CloneCharacter STC1                             // Char 78
CloneCharacter STC1                             // Char 79
CloneCharacter STC1                             // Char 80
CloneCharacter STC1                             // Char 81
CloneCharacter STC1                             // Char 82
CloneCharacter STC1                             // Char 83
CloneCharacter STC1                             // Char 84
SetScale STC9 4096                              //
SetScale STC13 4096                             //
SetDefScale 3800
loadKRT \SPRITES\DRUGDEAL\LEVEL2\SQUAT.KRT      // Char 85
CloneCharacter SQUAT1                           // Char 86
CloneCharacter SQUAT1                           // Char 87
CloneCharacter SQUAT1                           // Char 88
CloneCharacter SQUAT1                           // Char 89
CloneCharacter SQUAT1                           // Char 90
CloneCharacter SQUAT1                           // Char 91
CloneCharacter SQUAT1                           // Char 92
CloneCharacter SQUAT1                           // Char 93
CloneCharacter SQUAT1                           // Char 94
CloneCharacter SQUAT1                           // Char 95
CloneCharacter SQUAT1                           // Char 96
CloneCharacter SQUAT1                           // Char 97
CloneCharacter SQUAT1                           // Char 98
CloneCharacter SQUAT1                           // Char 99
CloneCharacter SQUAT1                           // Char 100
CloneCharacter SQUAT1                           // Char 101
CloneCharacter SQUAT1                           // Char 102
SetScale SQUAT12 4300                           //

PlayTrack 505 7         // Play Stage 3

Link EXPLOSION1 BARREL1 2 1 0 0 260 53
Link EXPLOSION2 BARREL1 2 1 0 0 260 53
Link EXPLOSION3 BARREL1 2 1 0 0 260 53
Link EXPLOSION4 BARREL1 2 1 1 0 260 53
Link EXPLOSION5 BARREL1 2 1 1 0 260 53
Link EXPLOSION6 BARREL1 2 1 1 0 260 53

//-------------------------------------
// Various objects
//-------------------------------------
StartActionXY   BOAT1  0 340 28  3 0 0 L1
Attach BOAT2    BOAT1  1 0    0 -23  48  6 L1
Attach BOAT3    BOAT1  2 0    0 232  53  6 L1
Attach BOAT4    BOAT1  3 0    0 375  53  6 L1
Attach BOAT5    BOAT1  4 0    0 -90  99  6 L1
Attach BOAT6    BOAT1  5 0    0 165 102  6 L1
Attach BOAT7    BOAT1  6 0    0 356 102  6 L1
Attach BOAT8    BOAT1  7 0    0 -234 132 8 L1
Attach BOAT9    BOAT1  8 0    0  21 143  8 L1
Attach BOAT10   BOAT1  9 0    0 276 152  8 L1
Attach BOAT11   BOAT1 10 0    0 411 152  8 L1
Attach BOAT12   BOAT1 11 0    0  12  16  1 L1
Attach BOAT13   BOAT1 12 0    0   2 104  1 L1
Attach BOAT14   BOAT1 13 0    0 242 107  1 L1
Attach WINDOW1  BOAT1  0 0    0  63 107  4 L1
Attach WINDOW2  BOAT1  0 0    0 126 107  4 L1
Attach WINDOW3  BOAT1  0 0    0 189 107  4 L1
Attach WINDOW4  BOAT1  0 0    0 252 107  4 L1
Attach WINDOW5  BOAT1  0 0    0 317 107  4 L1
Attach WINDOW6  BOAT1  0 1    0 -119 104 4 L1
Attach WINDOW7  BOAT1  0 0    0 370 107  4 L1
Attach WINDOW8  BOAT1  0 0    0 -65 109  4 L1
Attach GUN      BOAT1  0 0    0 125  75  7 L1
Attach BARREL1  BOAT1  0 0    0 284  35  1 L1

//-------------------------------------
// Enemies
//-------------------------------------
Attach GEORGE1  BOAT1  0 0   62 -235 125 7 L1
Attach BOB1     BOAT1  0 1   94 -135 140 7 L1
Attach SQUAT1   BOAT1  9 0  156 -70 130  7 L1
Attach STC1     BOAT1  9 0  168 -185 140 7 L1
Attach BOB2     BOAT1  0 0  230 -150 145 7 L1
Attach STC2     BOAT1  9 0  292 -20 135  7 L1
Attach SQUAT2   BOAT1  9 0  324 -160 130 7 L1
Attach SQUAT3   BOAT1  9 0  356 -200 130 7 L1
Attach STC3     BOAT1  9 0  368 -70 140  7 L1
StartactionXY   GEORGE2 2 10 165  9  420 0 L1
Attach STC4     BOAT1  9 0  432 -20  40  2 L1
Attach BOB3     BOAT1  3 1  484 -140 140 7 L1
Attach SQUAT4   BOAT1  6 0  536  15 140  7 L1
Attach GEORGE3  BOAT1  0 0  548 -70 140  7 L1
StartactionXY   BIGGUY1 0 80 290 14 590  0 L1
Attach STC5     BOAT1  9 0  632 -70 145  2 L1
Attach SQUAT5   BOAT1  6 0  644  -5 140  7 L1
Attach SQUAT6   BOAT1  9 0  686 -170 140 7 L1
Attach BOB4     BOAT1  0 1  708 -70 150  7 L1
Attach STC6     BOAT1  9 0  760  65  40  2 L1
Attach GEORGE4  BOAT1  0 0  782 -10  43  2 L1
StartactionXY   GEORGE5 2 310 165 11 834 1 L1
Attach BOB5     BOAT1  0 1  846  40 140  7 L1
Attach STC7     BOAT1  6 1  878 -20 140  7 L1
Attach BOB6     BOAT1  0 0  890  35  55  4 L1
Attach SQUAT7   BOAT1  9 0  932  50 140  7 L1
Attach GEORGE6  BOAT1  0 0  954 -60 140  7 L1
StartactionXY   GEORGE7 2 310 165 11 996 1 L1
Attach STC8     BOAT1  9 0 1038  65  40  2 L1
Attach BOB7     BOAT1  3 0 1070 -10 140  7 L1
Attach SQUAT8   BOAT1  6 0 1092  20 140  7 L1
StartactionXY   BIGGUY2 0 240 290 14 1124 0 L1
Attach SQUAT9   BOAT1  9 0 1166  20  40  2 L1
StartactionXY   STC9 9 80 185 9 1236 0 L1
StartactionXY   GEORGE8 2 310 165 11 1256 1 L1
Attach BOB8     BOAT1  0 1 1320 -50 140  7 L1
Attach STC10    BOAT1  9 0 1340  80  40  4 L1
Attach SQUAT10  BOAT1  0 0 1400  30  60  4 L1
Attach BOB9     BOAT1  3 0 1420  10 140  7 L1
Attach GEORGE9  BOAT1  0 0 1480 120 145  2 L1
Attach SQUAT11  BOAT1  0 1 1500  50 145  7 L1
StartactionXY   SQUAT12 0 65 180 9 1550 0 L1
Attach BOB10    BOAT1  0 0 1560 140  50  4 L1
Attach STC11    BOAT1  9 0 1600 140 145  2 L1
Attach GEORGE10 BOAT1  0 0 1610 180 145  2 L1
StartactionXY   BIGGUY3 0 80 290 14 1660 0 L1
Attach SQUAT13  BOAT1  0 1 1700 180  55  4 L1
Attach BOB11    BOAT1  0 0 1720  50 140  7 L1
Attach STC12    BOAT1  9 0 1760 120 140  7 L1
Attach BOB12    BOAT1  3 0 1800  50 140  7 L1
StartactionXY   STC13 6 10 195 9 1860 0 L1
StartactionXY   BIGGUY4 0 240 290 14 1880 0 L1
StartactionXY   GEORGE11 2 310 165 11 1940 1 L1
Attach BOB13    BOAT1  5 0 1960   0 130  7 L1
Attach STC14    BOAT1  9 0 1980 240 145  2 L1
Attach SQUAT14  BOAT1  6 0 2030  70 140  7 L1
StartactionXY   BIGGUY5 0 80 290 14 2080 0 L1
Attach GEORGE12 BOAT1  0 0 2140 200 140  7 L1
Attach STC15    BOAT1  9 0 2160  80 140  7 L1
Attach STC16    BOAT1  9 0 2200 240 140  7 L1
Attach GEORGE13 BOAT1  0 0 2240 115 140  7 L1
Attach SQUAT15  BOAT1  9 1 2300 280 140  7 L1
Attach SQUAT16  BOAT1  9 0 2320 180 140  7 L1
StartactionXY   BIGGUY6 0 80 290 14 2380 0 L1
Attach SQUAT17  BOAT1  9 0 2430 280  50  4 L1
Attach STC17    BOAT1  9 0 2450 240 140  7 L1
Attach BOB14    BOAT1  5 1 2500 290 125  7 L1
Attach SQUAT18  BOAT1  6 0 2520 210 140  7 L1
Attach GEORGE14 BOAT1  0 0 2580 315  65  4 L1
Attach BOB15    BOAT1  0 0 2600 165  50  4 L1

EndRound 2900
