//---------------------------------------------------------------------------
// Script file for the level 2 of the Chinatown (Subway station)
// Geoffroy Audy, July 18th 1996
//---------------------------------------------------------------------------
define  TOPTRAIN1  0
define  TOPTRAIN2  1
define  TOPTRAIN3  2
define  TOPTRAIN4  3
define  TOPTRAIN5  4
define  INSTRAIN1  5
define  INSTRAIN2  6
define  INSTRAIN3  7
define  INSTRAIN4  8
define  WINDOW1    9
define  WINDOW2    10
define  WINDOW3    11
define  WINDOW4    12
define  WINDOW5    13
define  WINDOW6    14
define  WINDOW7    15
define  GUN1       16
define  GUN2       17
define  STC1       18
define  STC2       19
define  STC3       20
define  STC4       21
define  STC5       22
define  STC6       23
define  NINJA1     24
define  NINJA2     25
define  NINJA3     26
define  NINJA4     27
define  NINJA5     28
define  NINJA6     29
define  NINJA7     30
define  NINJA8     31
define  NINJA9     32
define  NINJA10    33
define  NINJA11    34
define  NINJA12    35
define  NINJA13    36
define  NINJA14    37
define  NINJA15    38
define  NINJA16    39
define  NINJA17    40
define  NINJA18    41
define  NINJA19    42
define  NINJA20    43
define  NINJA21    44
define  NINJA22    45
define  STEVE1     46
define  STEVE2     47
define  STEVE3     48
define  STEVE4     49
define  NAO1       50
define  NAO2       51
define  NAO3       52
define  NAO4       53
define  NAO5       54
define  NAO6       55
define  NAO7       56
define  NAO8       57
define  NAO9       58
define  JACK1      59
define  JACK2      60
define  JACK3      61
define  JACK4      62
define  JACK5      63
define  JACK6      64
define  JACK7      65
define  JACK8      66
define  JACK9      67
define  JACK10     68
define  JACK11     69
define  JERRY1     70
define  JERRY2     71
define  JERRY3     72
define  JERRY4     73
define  JERRY5     74
define  JERRY6     75
define  JERRY7     76
define  JERRY8     77
define  JERRY9     78
define  OLDMAN     79
define  BLUEGIRL   80
define  KNIFE1     81
define  KNIFE2     82
define  KNIFE3     83
define  KNIFE4     84
define  KNIFE5     85
define  KNIFE6     86
define  KNIFE7     87
define  KNIFE8     88
define  KNIFE9     89
define  KNIFE10    90
define  KNIFE11    91
define  KNIFE12    92
define  EXPLOSION1 93
define  EXPLOSION2 94
define  EXPLOSION3 95
define  EXPLOSION4 96
define  CHIN       97
define  RANDY      98
define  SPARK1     99
define  SPARK2     100
define  SWORD1     101
define  SWORD2     102
define  SWORD3     103
define  SWORD4     104
define  JERRY10    105
define  JERRY11    106
define  JERRY12    107
define  JACK12     108
define  JACK13     109
define  JACK14     110
//define  CONDUCTOR  105
//define  JUDY       106
//define  TINA       107

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\CHINATWN\CHINA4.BKD           // BKD 0        Inst. 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\CHINA.VAB                      // Sound fx
loadKRT \SPRITES\CHINATWN\LEVEL4\TOPTRIN.KRT          // Char 0
ObjectCharacteristics TOPTRAIN1 1024                  // Char 0 is an object
CloneCharacter TOPTRAIN1                              // Char 1
CloneCharacter TOPTRAIN1                              // Char 2
CloneCharacter TOPTRAIN1                              // Char 3
CloneCharacter TOPTRAIN1                              // Char 4
ObjectCharacteristics TOPTRAIN1 17408
loadKRT \SPRITES\CHINATWN\LEVEL4\INSTRIN.KRT          // Char 5
ObjectCharacteristics INSTRAIN1 1024                  // Char 5 is an object
CloneCharacter INSTRAIN1                              // Char 6
CloneCharacter INSTRAIN1                              // Char 7
CloneCharacter INSTRAIN1                              // Char 8
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\LONGWIN.KRT // Char 9
ObjectCharacteristics WINDOW1 1060                    // Char 9 is an object
CloneCharacter WINDOW1                                // Char 10
CloneCharacter WINDOW1                                // Char 11
CloneCharacter WINDOW1                                // Char 12
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\BIGWIN.KRT  // Char 13
ObjectCharacteristics WINDOW5 1060                    // Char 13 is an object
CloneCharacter WINDOW5                                // Char 14
CloneCharacter WINDOW5                                // Char 15
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\WEAPON1.KRT // Char 16
ObjectCharacteristics GUN1 1032                       // Char 16 is a gun
CloneCharacter GUN1                                   // Char 17
SetDefScale 3800                                      //
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\STC.KRT     // Char 18
CloneCharacter STC1                                   // Char 19
CloneCharacter STC1                                   // Char 20
CloneCharacter STC1                                   // Char 21
CloneCharacter STC1                                   // Char 22
CloneCharacter STC1                                   // Char 23
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\NINJA.KRT   // Char 24
CloneCharacter NINJA1                                 // Char 25
CloneCharacter NINJA1                                 // Char 26
CloneCharacter NINJA1                                 // Char 27
CloneCharacter NINJA1                                 // Char 28
CloneCharacter NINJA1                                 // Char 29
CloneCharacter NINJA1                                 // Char 30
CloneCharacter NINJA1                                 // Char 31
CloneCharacter NINJA1                                 // Char 32
CloneCharacter NINJA1                                 // Char 33
CloneCharacter NINJA1                                 // Char 34
CloneCharacter NINJA1                                 // Char 35
CloneCharacter NINJA1                                 // Char 36
CloneCharacter NINJA1                                 // Char 37
CloneCharacter NINJA1                                 // Char 38
CloneCharacter NINJA1                                 // Char 39
CloneCharacter NINJA1                                 // Char 40
CloneCharacter NINJA1                                 // Char 41
CloneCharacter NINJA1                                 // Char 42
CloneCharacter NINJA1                                 // Char 43
CloneCharacter NINJA1                                 // Char 44
CloneCharacter NINJA1                                 // Char 45
loadKRT \SPRITES\CHINATWN\LEVEL2\STA.KRT              // Char 46
CloneCharacter STEVE1                                 // Char 47
CloneCharacter STEVE1                                 // Char 48
CloneCharacter STEVE1                                 // Char 49
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\NAO.KRT     // Char 50
CloneCharacter NAO1                                   // Char 51
CloneCharacter NAO1                                   // Char 52
CloneCharacter NAO1                                   // Char 53
CloneCharacter NAO1                                   // Char 54
CloneCharacter NAO1                                   // Char 55
CloneCharacter NAO1                                   // Char 56
CloneCharacter NAO1                                   // Char 57
CloneCharacter NAO1                                   // Char 58
SetScale NAO1 3500
SetScale NAO2 3500
SetScale NAO3 3500
SetScale NAO4 3500
SetScale NAO5 3500
SetScale NAO6 3500
SetScale NAO7 3500
SetScale NAO8 3500
SetScale NAO9 3500
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\JACK.KRT    // Char 59
CloneCharacter JACK1                                  // Char 60
CloneCharacter JACK1                                  // Char 61
CloneCharacter JACK1                                  // Char 62
CloneCharacter JACK1                                  // Char 63
CloneCharacter JACK1                                  // Char 64
CloneCharacter JACK1                                  // Char 65
CloneCharacter JACK1                                  // Char 66
CloneCharacter JACK1                                  // Char 67
CloneCharacter JACK1                                  // Char 68
CloneCharacter JACK1                                  // Char 69
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\JERRY.KRT   // Char 70
CloneCharacter JERRY1                                 // Char 71
CloneCharacter JERRY1                                 // Char 72
CloneCharacter JERRY1                                 // Char 73
CloneCharacter JERRY1                                 // Char 74
CloneCharacter JERRY1                                 // Char 75
CloneCharacter JERRY1                                 // Char 76
CloneCharacter JERRY1                                 // Char 77
CloneCharacter JERRY1                                 // Char 78
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\PUKEGUY.KRT // Char 79
ObjectCharacteristics OLDMAN 1030                     // Char 79 is a victim
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\SCARED.KRT  // Char 80
ObjectCharacteristics BLUEGIRL 1030                   // Char 80 is a victim
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\KNIFE.KRT   // Char 81
ObjectCharacteristics KNIFE1 1092                     //
CloneCharacter KNIFE1                                 // Char 82
CloneCharacter KNIFE1                                 // Char 83
CloneCharacter KNIFE1                                 // Char 84
CloneCharacter KNIFE1                                 // Char 85
CloneCharacter KNIFE1                                 // Char 86
CloneCharacter KNIFE1                                 // Char 87
CloneCharacter KNIFE1                                 // Char 88
CloneCharacter KNIFE1                                 // Char 89
CloneCharacter KNIFE1                                 // Char 90
CloneCharacter KNIFE1                                 // Char 91
CloneCharacter KNIFE1                                 // Char 92
loadKRT \SPRITES\CHINATWN\LEVEL4\EXPLO2.KRT           // Char 93
ObjectCharacteristics EXPLOSION1 1024                 // Char 93
CloneCharacter EXPLOSION1                             // Char 94
CloneCharacter EXPLOSION1                             // Char 95
CloneCharacter EXPLOSION1                             // Char 96
SetScale EXPLOSION1 4700                              //
SetScale EXPLOSION2 4700                              //
SetScale EXPLOSION3 4096                              //
SetScale EXPLOSION4 4096                              //
loadKRT \SPRITES\CHINATWN\LEVEL4\CHIN.KRT             // Char 97 (boss!!!)
ObjectCharacteristics CHIN 2176                       //
loadKRT \SPRITES\CHINATWN\LEVEL2\RANDY.KRT            // Char 98
ObjectCharacteristics RANDY 1030                      // Char 98 is a victim
loadKRT \SPRITES\CHINATWN\LEVEL4\SPARK.KRT            // Char 99
ObjectCharacteristics SPARK1 1024                     // Char 99 is a victim
CloneCharacter SPARK1                                 // Char 100
loadKRT \SPRITES\CHINATWN\LEVEL4\SWORD.KRT            // Char 101
ObjectCharacteristics SWORD1 1092                     //
CloneCharacter SWORD1                                 // Char 102
CloneCharacter SWORD1                                 // Char 103
CloneCharacter SWORD1                                 // Char 104
CloneCharacter JERRY1                                 // Char 105
CloneCharacter JERRY1                                 // Char 106
CloneCharacter JERRY1                                 // Char 107
CloneCharacter JACK1                                  // Char 108
CloneCharacter JACK1                                  // Char 109
CloneCharacter JACK1                                  // Char 110

//loadKRT \SPRITES\CHINATWN\LEVEL4\CONDUCTR.KRT         // Char 105
//ObjectCharacteristics CONDUCTOR 1030                  // Char 105 is a victim
//loadKRT \SPRITES\CHINATWN\LEVEL4\JUDY.KRT             // Char 106
//ObjectCharacteristics JUDY 1030                       // Char 106 is a victim
//loadKRT \SPRITES\CHINATWN\LEVEL4\TINA.KRT             // Char 107
//ObjectCharacteristics TINA 1030                       // Char 107 is a victim

PlayTrack 510 0            // Chase2

AssignProjectile NINJA1 KNIFE1
AssignProjectile NINJA2 KNIFE2
AssignProjectile NINJA4 KNIFE3
AssignProjectile NINJA5 KNIFE4
AssignProjectile NINJA6 KNIFE5
AssignProjectile NINJA8 KNIFE6
AssignProjectile NINJA10 KNIFE7
AssignProjectile NINJA11 KNIFE8
AssignProjectile NINJA12 KNIFE9
AssignProjectile NINJA16 KNIFE10
AssignProjectile NINJA18 KNIFE11
AssignProjectile NINJA19 KNIFE12
AssignProjectile CHIN SWORD1
AssignProjectile CHIN SWORD2
AssignProjectile CHIN SWORD3
AssignProjectile CHIN SWORD4

Link EXPLOSION1 TOPTRAIN2 0 6 0 0 103 185
Link EXPLOSION2 TOPTRAIN3 0 7 0 0 346 186
Link EXPLOSION3 TOPTRAIN4 0 8 0 0 120 60
Link EXPLOSION4 TOPTRAIN5 0 9 0 0 326 61

//-------------------------------------
// Various objects
//-------------------------------------
StartActionXY TOPTRAIN1 0 228  81 12 0 0 L1
StartActionXY TOPTRAIN2 1 103 185 13 0 0 L1
StartActionXY TOPTRAIN3 2 346 186 13 0 0 L1
StartActionXY TOPTRAIN4 3 120  60 12 0 0 L1
StartActionXY TOPTRAIN5 4 326  61 12 0 0 L1
StartActionXY INSTRAIN1 0  54  77  0 0 0 L1
StartActionXY INSTRAIN2 1 176  77  0 0 0 L1
StartActionXY INSTRAIN3 3 271  77  0 0 0 L1
StartActionXY INSTRAIN4 2 392  77  0 0 0 L1
StartActionXY WINDOW1   0  36  79 11 0 0 L1
StartActionXY WINDOW2   0  72  79 11 0 0 L1
StartActionXY WINDOW3   0 374  79 11 0 0 L1
StartActionXY WINDOW4   0 409  79 11 0 0 L1
StartActionXY WINDOW5   0 158  79 11 0 0 L1
StartActionXY WINDOW6   0 222  79 11 0 0 L1
StartActionXY WINDOW7   0 286  79 11 0 0 L1
StartActionXY GUN1      5 103 186 12 0 0 L1
StartActionXY GUN2      5 346 186 12 0 0 L1

//-------------------------------------
// Enemy group #1
//-------------------------------------
StartActionXY NINJA1     8  36 120  4    8 0 L5         // Scroll right
//StartActionXY STEVE1     a 160 120  4   64 0 L1
StartActionXY NAO1       3  72 125  4  128 0 L2
StartActionXY JACK1      2 222 122  4  192 0 L1
StartActionXY NINJA2     8  72 120  4  224 0 L6
StartActionXY NINJA3     4 120 114  4  256 0 L4
StartActionXY JACK2      2 283 122  4  320 0 L1
StartActionXY JERRY1     6 160 120  4  384 0 L3
//StartActionXY CONDUCTOR  a 222 120  4  416 0 L1
//StartActionXY STEVE2     a 325 120  4  448 1 L1
StartActionXY NAO2       3 222 125  4  512 0 L5
StartActionXY STC1       9 283 125  4  576 0 L1
StartActionXY NINJA4     8 222 120  4  640 0 L2
StartActionXY JACK3      2 367 122  4  704 0 L1
StartActionXY NINJA5     8 283 120  4  736 0 L6
StartActionXY STC2       9 222 125  4  768 0 L4
StartActionXY JERRY2     6 283 120  4  832 0 L1
StartActionXY STC3       9 415 125  4  864 0 L3

StartActionXY NINJA6     8 371 120  4  896 0 L1         // Scroll left
StartActionXY JERRY3     6 283 120  4  944 0 L5
StartActionXY JACK4      2 222 122  4  976 0 L1
StartActionXY JACK5      1 120 110  4 1040 0 L1
StartActionXY NINJA8     8 222 120  4 1072 0 L6
StartActionXY RANDY      0 280 124  4 1136 0 L1
StartActionXY JACK6      2 160 122  4 1232 0 L3
StartActionXY NINJA10    8 222 120  4 1296 0 L1
StartActionXY JACK7      2  72 122  4 1424 0 L1
StartActionXY NAO4       3 160 125  4 1488 0 L2
StartActionXY NINJA11    8  33 120  4 1552 0 L1

StartActionXY OLDMAN     0 120 120  3 1680 0 L4         // Scroll right
StartActionXY NINJA12    8 160 120  4 1712 0 L6
StartActionXY NAO5       3 222 125  4 1808 0 L3
StartActionXY JACK8      1 120 110  4 1872 0 L1
StartActionXY JERRY4     6 150 120  4 2000 0 L1
StartActionXY NINJA14    4 325 114  4 2064 1 L2
StartActionXY STC5       9 222 125  4 2128 0 L1
StartActionXY JACK9      1 325 110  4 2192 1 L4
StartActionXY JERRY5     6 222 120  4 2256 0 L1
StartActionXY JERRY6     6 160 120  4 2320 0 L3
//StartActionXY JUDY       a 280 120  4 2352 0 L1
StartActionXY JERRY7     6 374 120  4 2384 0 L1
//StartActionXY STEVE3     a 325 120  4 2512 1 L1
StartActionXY NINJA16    8 410 120  4 2544 0 L2

StartActionXY JERRY8     6 280 120  4 2672 0 L4         // Scroll left
StartActionXY JACK10     2 222 122  4 2736 0 L1
StartActionXY NINJA18    8 160 120  4 2864 0 L1
StartActionXY NINJA19    8 222 120  4 2928 0 L5
StartActionXY NAO8       3 283 125  4 3056 0 L2
StartActionXY BLUEGIRL   5 120 120  3 3120 0 L1
StartActionXY STC6       9  72 125  4 3248 0 L1
StartActionXY NAO9       3 225 125  4 3312 0 L3

StartActionXY JERRY9     6 160 120  4 3440 0 L1         // Scroll right to
////StartActionXY STEVE4     a  72 120  4 3488 0 L2     // the middle
////StartActionXY TINA       a 222 120  4 3552 0 L1

StartActionXY CHIN       0 222 120  4 3560 0 L1      // Boss
AddEnemyLife  CHIN       3560
StartActionXY SPARK1     0 235 100 14 3630 0 L1      //
StartActionXY SPARK2     0 209 100 14 3650 1 L1      //
StopAction    TOPTRAIN1  3670                        //

StartActionXY JERRY10    6 160 120  4 4000 0 L1
StartActionXY JACK12     2 283 122  4 4400 0 L1
StartActionXY JERRY11    6 160 120  4 4800 0 L1
StartActionXY JERRY12    6 160 120  4 5200 0 L1
StartActionXY JACK13     2 283 122  4 5600 0 L1
StartActionXY JACK14     2 283 122  4 6000 0 L1

EndLevel 0                                // Wait for the boss to die...
