//---------------------------------------------------------------------------
// Script file for the level 2 of the Chinatown (Subway station)
// Geoffroy Audy, July 18th 1996
//---------------------------------------------------------------------------
define  GUN        0
define  WINDOW1    1
define  WINDOW2    2
define  NINJA1     3
define  NINJA2     4
define  NINJA3     5
define  NINJA4     6
define  NINJA5     7
define  NINJA6     8
define  NINJA7     9
define  BOB1       10
define  BOB2       11
define  BOB3       12
define  BOB4       13
define  BOB5       14
define  BOB6       15
define  BOB7       16
define  BOB8       17
define  STC1       18
define  STC2       19
define  STC3       20
define  STC4       21
define  STC5       22
define  STC6       23
define  STC7       24
define  STC8       25
define  STC9       26
define  STC10      27
define  STC11      28
define  JACK1      29
define  JACK2      30
define  JACK3      31
define  BLUEGIRL1  32
define  BLUEGIRL2  33
define  POLICE1    34
define  POLICE2    35
define  BIGNINJA1  36
define  BIGNINJA2  37
define  BIGNINJA3  38
define  BIGNINJA4  39
define  BIGNINJA5  40
define  BIGNINJA6  41
define  JERRY1     42
define  JERRY2     43
define  JERRY3     44
define  JERRY4     45
define  JERRY5     46
define  JERRY6     47
define  NAO1       48
define  NAO2       49
define  STEVE1     50
define  STEVE2     51
define  STEVE3     52
define  KNIFE1     53
define  KNIFE2     54
define  KNIFE3     55
define  KNIFE4     56
define  RANDY      57
define  TOURIST    58

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\CHINATWN\CHINA2.BKD           // BKD 0        Inst. 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\CHINA.VAB                      // Sound fx

loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\WEAPON1.KRT // Char 0
ObjectCharacteristics GUN 1032                        // Char 0 is a gun
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\BIGWIN.KRT  // Char 1
ObjectCharacteristics WINDOW1 1056                    // Char 1 is a window
CloneCharacter WINDOW1                                // Char 2
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\NINJA.KRT   // Char 3
CloneCharacter NINJA1                                 // Char 4
CloneCharacter NINJA1                                 // Char 5
CloneCharacter NINJA1                                 // Char 6
CloneCharacter NINJA1                                 // Char 7
CloneCharacter NINJA1                                 // Char 8
CloneCharacter NINJA1                                 // Char 9
SetScale NINJA2 4800
SetScale NINJA3 4800
SetScale NINJA4 4800
SetScale NINJA6 4800
SetScale NINJA7 4700
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\BOB1.KRT    // Char 10
CloneCharacter BOB1                                   // Char 11
CloneCharacter BOB1                                   // Char 12
CloneCharacter BOB1                                   // Char 13
CloneCharacter BOB1                                   // Char 14
CloneCharacter BOB1                                   // Char 15
CloneCharacter BOB1                                   // Char 16
CloneCharacter BOB1                                   // Char 17
SetScale BOB1 4800
SetScale BOB4 3700
SetScale BOB6 3000
SetScale BOB8 4800
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\STC.KRT     // Char 18
CloneCharacter STC1                                   // Char 19
CloneCharacter STC1                                   // Char 20
CloneCharacter STC1                                   // Char 21
CloneCharacter STC1                                   // Char 22
CloneCharacter STC1                                   // Char 23
CloneCharacter STC1                                   // Char 24
CloneCharacter STC1                                   // Char 25
CloneCharacter STC1                                   // Char 26
CloneCharacter STC1                                   // Char 27
CloneCharacter STC1                                   // Char 28
SetScale STC2 3000
SetScale STC3 3700
SetScale STC4 3000
SetScale STC7 3700
SetScale STC9 4500
SetScale STC10 3700
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\JACK.KRT    // Char 29
CloneCharacter JACK1                                  // Char 30
CloneCharacter JACK1                                  // Char 31
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\SCARED.KRT  // Char 32
ObjectCharacteristics BLUEGIRL1 1158                  // Char 32 is a victim
CloneCharacter BLUEGIRL1                              // Char 33
SetScale BLUEGIRL1 3000
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\POLICE.KRT  // Char 34
ObjectCharacteristics POLICE1 1030                    // Char 34 is a victim
CloneCharacter POLICE1                                // Char 35
SetScale POLICE1 4800
SetScale POLICE2 4800
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\BNNJ.KRT    // Char 36
CloneCharacter BIGNINJA1                              // Char 37
CloneCharacter BIGNINJA1                              // Char 38
CloneCharacter BIGNINJA1                              // Char 39
CloneCharacter BIGNINJA1                              // Char 40
CloneCharacter BIGNINJA1                              // Char 41
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\JERRY.KRT   // Char 42
CloneCharacter JERRY1                                 // Char 43
CloneCharacter JERRY1                                 // Char 44
CloneCharacter JERRY1                                 // Char 45
CloneCharacter JERRY1                                 // Char 46
CloneCharacter JERRY1                                 // Char 47
SetScale JERRY1 3000
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_2\NAO.KRT     // Char 48
CloneCharacter NAO1                                   // Char 49
loadKRT \SPRITES\CHINATWN\LEVEL2\STA.KRT              // Char 50
CloneCharacter STEVE1                                 // Char 51
CloneCharacter STEVE1                                 // Char 52
SetScale STEVE1 3000
SetScale STEVE2 3000
SetScale STEVE3 3700
SetDepth STEVE3 3
loadKRT \SPRITES\CHINATWN\LEVEL1\LEVEL1_1\KNIFE.KRT   // Char 53
ObjectCharacteristics KNIFE1 1092                     // Char 53 is a knife
CloneCharacter KNIFE1                                 // Char 54
CloneCharacter KNIFE1                                 // Char 55
CloneCharacter KNIFE1                                 // Char 56
loadKRT \SPRITES\CHINATWN\LEVEL2\RANDY.KRT            // Char 57
ObjectCharacteristics RANDY 1030                      //
SetScale RANDY 3000
loadKRT \SPRITES\CHINATWN\LEVEL2\TOURIST.KRT          // Char 58
ObjectCharacteristics TOURIST 1030                    //

AssignProjectile NINJA1  KNIFE1         // Give a knife for each ninja that
AssignProjectile NINJA3  KNIFE2         // throws one...
AssignProjectile NINJA4  KNIFE3         //
AssignProjectile NINJA6  KNIFE4         //

PlayTrack 503 2           // Play STAGE1

Link    STEVE3  BLUEGIRL2  2  3  0  0  372  165
Link    BLUEGIRL2 STEVE3   5  0  0  0  380  143
Link    STEVE3  BLUEGIRL2  8  0  0  0  372  145

//-------------------------------------
// Various objects
//-------------------------------------
StartActionXY GUN        4 362 180 13    0 0 L1
StartActionXY WINDOW1    0 316 100  4    0 0 L1
StartActionXY WINDOW2    0 386 100  4    0 0 L1

//-------------------------------------
// Enemy group #1
//-------------------------------------
StartActionXY STC1       6 245 175  9   60 1 L1
StartActionXY NINJA1     8  75 167  9  124 0 L5
StartActionXY RANDY      0 160 135  2  316 0 L1
StartActionXY BOB1       5 320 160 13  348 1 L1
StartActionXY JERRY1     3  80 130  4  412 1 L2
StartActionXY STC2       9 160 135  3  604 1 L1
StartActionXY JACK1      1 250 145  9  668 0 L6
StartActionXY NAO1       3 125 160  9  700 0 L4
StartActionXY BOB2       5 250 140  9  892 1 L1
StartActionXY STEVE1     5 100 150  3  956 1 L3
StartActionXY BLUEGIRL1  5  10 125  2 1148 0 L1
StartActionXY STC3       9  75 160  9 1180 0 L1
StartActionXY BIGNINJA1  0 240 300 14 1244 0 L5
StartActionXY JERRY2     3 270 145  9 1436 0 L1
StartActionXY NINJA2     4  -5 160 13 1500 0 L2
StopAction    BLUEGIRL1  1600
StartActionXY STEVE2     4  35 140  3 1692 0 L1
StartActionXY JERRY3     3 270 145  9 1756 0 L6
StartActionXY BOB3       5 250 145  9 1788 1 L4
StartActionXY POLICE1    1   0 155 13 1980 0 L1
StartActionXY JERRY4     2 160 150  8 2012 0 L1
StartActionXY STC4       9 185 117  3 2076 1 L3
StartActionXY NAO2       5 -10 150  8 2268 0 L1
StartActionXY STC5       6 165 175  8 2332 1 L5
StartActionXY BIGNINJA2  0 110 300 14 2524 0 L1
StartActionXY NINJA3     2 340 165 12 2588 1 L2
StartActionXY BOB4       3  75 165  9 2780 0 L1
StartActionXY NINJA4     2 -20 165 12 2844 0 L6
StartActionXY STC6       2 240 145  9 2876 1 L4

ScrollBKDTo 0 -96 0 96 3068

//-------------------------------------
// Enemy group #2
//-------------------------------------
StartActionXY JACK2      2 180 160  9 3132 0 L1
StartActionXY POLICE2    1 100 155 13 3196 0 L1
StartActionXY BOB5       5 250 150  9 3228 0 L3
StartActionXY STC7       9 315 160  3 3420 0 L1
StartActionXY BIGNINJA3  0 225 300 14 3484 0 L5
StartActionXY BOB6       3 190 120  2 3676 1 L1
StartActionXY JERRY5     3 100 140  8 3740 0 L2
StartActionXY TOURIST    1 375 155  3 3932 0 L1
StartActionXY STC8       6 240 175  9 3964 1 L1
StartActionXY BOB7       0 170 165  8 4044 1 L6
StartActionXY NINJA6     2 436 160 13 4236 1 L4
StartActionXY BIGNINJA4  0 225 300 14 4300 0 L1
StartActionXY BLUEGIRL2  3 390 165  3 4492 0 L3
StartActionXY STEVE3     5 440 160  2 4493 1 L3
StartActionXY JERRY6     2 190 153  9 4556 0 L5
StartActionXY BIGNINJA5  0 340 300 14 4748 0 L1
StartActionXY STC9       6 425 180 12 4812 1 L2
StartActionXY JACK3      1 250 145  9 5004 0 L1
StartActionXY STC10      9 315 160  3 5068 0 L6
StartActionXY BOB8       5 110 150 13 5100 0 L4
StartActionXY STC11      6 165 175  9 5292 0 L1
StartActionXY NINJA7     4 410 155 13 5356 1 L3
StartActionXY BIGNINJA6  0 225 300 14 5420 0 L5

ScrollBKDTo 0 -96 0 0 5612

EndRound 5700
