//---------------------------------------------------------------------------
// Script file for the level 4 of the drug dealers (car chase)
// Geoffroy Audy, November 27th 1996
//---------------------------------------------------------------------------

define  CAR1       0            // White car
define  INSIDECAR1 1            //
define  INSIDE2CAR1 2           //
define  BACKDOOR1  3            //
define  BWHEELCAR1 4            //
define  FWHEELCAR1 5            //
define  JACK1      6            //
define  JACK2      7            //
define  JACK3      8            //
define  JACK4      9            //
define  JACK5      10           //
define  CAR2       11           // Cadillac 1
define  INSIDECAR2 12           //
define  BWHEELCAR2 13           //
define  FWHEELCAR2 14           //
define  STEVE1     15           //
define  JACK6      16           //
define  JACK7      17           //
define  JACK8      18           //
define  JACK9      19           //
define  CAR3       20           // Cadillac 2
define  INSIDECAR3 21           //
define  BWHEELCAR3 22           //
define  FWHEELCAR3 23           //
define  STEVE2     24           //
define  JACK10     25           //
define  JACK11     26           //
define  JACK12     27           //
define  JACK13     28           //
define  CAR4       29           // TransAM
define  INSIDECAR4 30           //
define  BWHEELCAR4 31           //
define  FWHEELCAR4 32           //
define  STEVE3     33           //
define  STEVE4     34           //
define  JACK14     35           //
define  JACK15     36           //
define  JACK16     37           //
define  CARPATCH1  38           // For the white car's fire
define  CARPATCH2  39           // For the transam's fire
define  CARPATCH3  40           // For the transam's explosion
define  CARPATCH4  41           // For the cadillac 1's fire
define  CARPATCH5  42           // For the cadillac 2's fire
define  CARFIRE1   43           // White car's fire
define  CARFIRE2   44           // Transam's fire
define  CARFIRE3   45           // Cadillac 1's fire
define  CARFIRE4   46           // Cadillac 2's fire
define  CARFIRE5   47           // Truck's fire
define  EXPLOSION1 48           // Transam's explosions
define  EXPLOSION2 49           //
define  TRUCK1     50           // 18-wheels truck
define  TRUCK2     51           //
define  TRUCK3     52           //
define  TRUCK4     53           //
define  TRUCK5     54           //
define  TRUCK6     55           //
define  TRUCK7     56           //
define  TRUCK8     57           //
define  TRUCK9     58           //
define  TRUCK10    59           //
define  TRUCK11    60           //
define  HELIBACKPART   61       // Helicopter parts
define  HELITAIL       62       //
define  HELITOPPART    63       //
define  HELIFRONTPART  64       //
define  HELIUNDERPART  65       //
define  HELIINSIDE     66       //
define  HELIDOOR       67       //
define  HELIWINGBASE   68       //
define  HELILEFTWING   69       //
define  HELIRIGHTWING  70       //
define  HELIZONE1      71       //
define  HELIZONE2      72       //
define  HELIZONE3      73       //
define  HELIZONE4      74       //
define  HELIZONE5      75       //
define  HELIFIRE1      76       // Helicopter fires for each hit zone
define  HELIFIRE2      77       //
define  HELIFIRE3      78       //
define  HELIFIRE4      79       //
define  HELIFIRE5      80       //
define  DOOREXPLOSION  81       //
define  BIKER          82       // MotorCycle
define  BOSS           83       // Boss in the helicopter...
define  MISSILE1       84       // Missiles thrown by the boss
define  MISSILE2       85       //
define  MISSILE3       86       //
define  MISSILE4       87       //
define  MISSILE5       88       //
define  MISSILE6       89       //
define  MISSILE7       90       //
define  BIKE1          91       //
define  BIKE2          92       //
define  BIKE3          93       //
define  BIKE4          94       //

define  L1         0            // Difficulty levels
define  L2         1            //
define  L3         2            //
define  L4         3            //
define  L5         4            //
define  L6         5            //
define  L7         6            //
define  L8         7            //

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\DRUGDEAL\HIGHWAY.BKD          // BKD 0        Inst. 0
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\DRUGDEAL.VAB                   // Sound fx

loadKRT \SPRITES\DRUGDEAL\LEVEL4\CAR1.KRT       // Char 0
ObjectCharacteristics CAR1 17536                //
CloneCharacter CAR1                             // Char 1
CloneCharacter CAR1                             // Char 2
CloneCharacter CAR1                             // Char 3
CloneCharacter CAR1                             // Char 4
CloneCharacter CAR1                             // Char 5
ObjectCharacteristics BWHEELCAR1 1152
ObjectCharacteristics FWHEELCAR1 1152
loadKRT \SPRITES\DRUGDEAL\LEVEL4\CUTFAC.KRT     // Char 6
ObjectCharacteristics JACK1 641                 //
CloneCharacter JACK1                            // Char 7
CloneCharacter JACK1                            // Char 8
CloneCharacter JACK1                            // Char 9
CloneCharacter JACK1                            // Char 10

loadKRT \SPRITES\DRUGDEAL\LEVEL4\CAR2.KRT       // Char 11
ObjectCharacteristics CAR2 17536                //
CloneCharacter CAR2                             // Char 12
CloneCharacter CAR2                             // Char 13
CloneCharacter CAR2                             // Char 14
ObjectCharacteristics BWHEELCAR2 1152
ObjectCharacteristics FWHEELCAR2 1152
loadKRT \SPRITES\DRUGDEAL\LEVEL4\CUTSTV.KRT     // Char 15
ObjectCharacteristics STEVE1 641                //
CloneCharacter JACK1                            // Char 16
CloneCharacter JACK1                            // Char 17
CloneCharacter JACK1                            // Char 18
CloneCharacter JACK1                            // Char 19

CloneCharacter CAR2                             // Char 20
CloneCharacter CAR2                             // Char 21
CloneCharacter CAR2                             // Char 22
CloneCharacter CAR2                             // Char 23
ObjectCharacteristics BWHEELCAR3 1152
ObjectCharacteristics FWHEELCAR3 1152
CloneCharacter STEVE1                           // Char 24
CloneCharacter JACK1                            // Char 25
CloneCharacter JACK1                            // Char 26
CloneCharacter JACK1                            // Char 27
CloneCharacter JACK1                            // Char 28

loadKRT \SPRITES\DRUGDEAL\LEVEL4\TRANSAM.KRT    // Char 29
ObjectCharacteristics CAR4 17536                //
CloneCharacter CAR4                             // Char 30
CloneCharacter CAR4                             // Char 31
CloneCharacter CAR4                             // Char 32
ObjectCharacteristics BWHEELCAR4 1152
ObjectCharacteristics FWHEELCAR4 1152
CloneCharacter STEVE1                           // Char 33
CloneCharacter STEVE1                           // Char 34
CloneCharacter JACK1                            // Char 35
CloneCharacter JACK1                            // Char 36
CloneCharacter JACK1                            // Char 37

loadKRT \SPRITES\DRUGDEAL\LEVEL4\CARPTCH.KRT    // Char 38
ObjectCharacteristics CARPATCH1 33792           //
CloneCharacter CARPATCH1                        // Char 39
CloneCharacter CARPATCH1                        // Char 40
CloneCharacter CARPATCH1                        // Char 41
CloneCharacter CARPATCH1                        // Char 42
SetTotalHitPoints CARPATCH1 6
SetTotalHitPoints CARPATCH2 6
SetTotalHitPoints CARPATCH3 4
SetTotalHitPoints CARPATCH4 6
SetTotalHitPoints CARPATCH5 6

loadKRT \SPRITES\DRUGDEAL\LEVEL4\CARFIRE.KRT    // Char 43
ObjectCharacteristics CARFIRE 17408             //
CloneCharacter CARFIRE1                         // Char 44
CloneCharacter CARFIRE1                         // Char 45
CloneCharacter CARFIRE1                         // Char 46
CloneCharacter CARFIRE1                         // Char 47

loadKRT \SPRITES\EXPLO.KRT                      // Char 48
ObjectCharacteristics EXPLOSION1 17408          //
CloneCharacter EXPLOSION1                       // Char 49
SetScale EXPLOSION1 6000
SetScale EXPLOSION2 6500

loadKRT \SPRITES\DRUGDEAL\LEVEL4\TRUCK.KRT      // Char 50
ObjectCharacteristics TRUCK1 16384              //
CloneCharacter TRUCK1                           // Char 51
//ObjectCharacteristics TRUCK2 16388              //
CloneCharacter TRUCK2                           // Char 52
CloneCharacter TRUCK2                           // Char 53
CloneCharacter TRUCK2                           // Char 54
CloneCharacter TRUCK2                           // Char 55
CloneCharacter TRUCK2                           // Char 56
CloneCharacter TRUCK2                           // Char 57
CloneCharacter TRUCK2                           // Char 58
CloneCharacter TRUCK2                           // Char 59
CloneCharacter TRUCK2                           // Char 60

loadKRT \SPRITES\DRUGDEAL\LEVEL4\HELICO.KRT     // Char 61
CloneCharacter HELIBACKPART                     // Char 62
CloneCharacter HELIBACKPART                     // Char 63
CloneCharacter HELIBACKPART                     // Char 64
CloneCharacter HELIBACKPART                     // Char 65
CloneCharacter HELIBACKPART                     // Char 66
CloneCharacter HELIBACKPART                     // Char 67
CloneCharacter HELIBACKPART                     // Char 68
CloneCharacter HELIBACKPART                     // Char 69
CloneCharacter HELIBACKPART                     // Char 70
CloneCharacter HELIBACKPART                     // Char 71
CloneCharacter HELIBACKPART                     // Char 72
CloneCharacter HELIBACKPART                     // Char 73
CloneCharacter HELIBACKPART                     // Char 74
CloneCharacter HELIBACKPART                     // Char 75
ObjectCharacteristics HELIBACKPART 16384        //
ObjectCharacteristics HELITAIL 16384            //
ObjectCharacteristics HELITOPPART 16384         //
ObjectCharacteristics HELIFRONTPART 16384       //
ObjectCharacteristics HELIUNDERPART 16384       //
ObjectCharacteristics HELIINSIDE 16384          //
ObjectCharacteristics HELIDOOR 16384            //
ObjectCharacteristics HELIWINGBASE 16384        //
ObjectCharacteristics HELILEFTWING 16384        //
ObjectCharacteristics HELIRIGHTWING 16384       //
ObjectCharacteristics HELIZONE1 32768           //
ObjectCharacteristics HELIZONE2 32768           //
ObjectCharacteristics HELIZONE3 32768           //
ObjectCharacteristics HELIZONE4 32768           //
ObjectCharacteristics HELIZONE5 32768           //
SetTotalHitPoints HELIDOOR 3
SetTotalHitPoints HELIZONE1 13
SetTotalHitPoints HELIZONE2 13
SetTotalHitPoints HELIZONE3 9
SetTotalHitPoints HELIZONE4 7
SetTotalHitPoints HELIZONE5 6

CloneCharacter CARFIRE1                         // Char 76
CloneCharacter CARFIRE1                         // Char 77
CloneCharacter CARFIRE1                         // Char 78
CloneCharacter CARFIRE1                         // Char 79
CloneCharacter CARFIRE1                         // Char 80

CloneCharacter EXPLOSION1                       // Char 81

loadKRT \SPRITES\DRUGDEAL\LEVEL4\ENBIKE.KRT     // Char 82
ObjectCharacteristics BIKER 1152                //

loadKRT \SPRITES\DRUGDEAL\LEVEL4\BOSS.KRT       // Char 83
ObjectCharacteristics BOSS 19588                //

loadKRT \SPRITES\DRUGDEAL\LEVEL4\MISSILE.KRT    // Char 84
ObjectCharacteristics MISSILE1 1092             //
CloneCharacter MISSILE1                         // Char 85
CloneCharacter MISSILE1                         // Char 86
CloneCharacter MISSILE1                         // Char 87
CloneCharacter MISSILE1                         // Char 88
CloneCharacter MISSILE1                         // Char 89
CloneCharacter MISSILE1                         // Char 90

CloneCharacter BIKER                            // Char 91
CloneCharacter BIKER                            // Char 92
CloneCharacter BIKER                            // Char 93
CloneCharacter BIKER                            // Char 94

PlayTrack 510 0           // Chase1

Link CARFIRE1    CARPATCH1 0 5 0 0 160 120
Link CARFIRE2    CARPATCH2 0 6 0 0 160 120
Link CARFIRE3    CARPATCH4 0 7 0 0 160 120
Link CARFIRE4    CARPATCH5 0 8 0 0 160 120
Link EXPLOSION1  CARPATCH3 0 6 0 0 160 120
Link EXPLOSION2  EXPLOSION1 0 0 1 0 160 120

Link HELIFIRE1   HELIZONE1 0 17 0 0 160 120
Link HELIFIRE2   HELIZONE2 0 18 0 0 160 120
Link HELIFIRE3   HELIZONE3 0 14 0 0 160 120
Link HELIFIRE4   HELIZONE4 0 12 0 0 160 120
Link HELIFIRE5   HELIZONE5 0 16 0 0 160 120

Link HELIZONE2   HELIZONE1  1 17 0 0 160 120
Link HELIZONE3   HELIZONE2 13 18 0 0 160 120
Link HELIZONE4   HELIZONE3 11 14 0 0 160 120
Link HELIZONE5   HELIZONE4 15 12 0 0 160 120

Link DOOREXPLOSION HELIDOOR 0 7 0 0 160 120

Link BIKE1       HELIZONE1 1 17 0 0 -50 120
Link BIKE2       HELIZONE2 1 18 0 0 -50 120
Link BIKE3       HELIZONE3 1 14 0 0 -50 120
Link BIKE4       HELIZONE4 1 12 0 0 -50 120

AssignProjectile BOSS MISSILE1
AssignProjectile BOSS MISSILE2
AssignProjectile BOSS MISSILE3
AssignProjectile BOSS MISSILE4
AssignProjectile BOSS MISSILE5
AssignProjectile BOSS MISSILE6
AssignProjectile BOSS MISSILE7

//-------------------------------------
// Enemy group #1
//-------------------------------------
PlaySound 15 60

EndRound 0
