//---------------------------------------------------------------------------
// Script file for the level 7 of the Saloon showdown
// Geoffroy Audy, January 5th 1997
//---------------------------------------------------------------------------
define  BOSS1      0
define  BOSS2      1
define  BOSS3      2
define  BOSS4      3
define  BOSS5      4
define  BOSS6      5
define  YOULOSE    6
define  WEDRAW     7

define  L1         0            // Difficulty levels
define  L2         1
define  L3         2
define  L4         3
define  L5         4
define  L6         5
define  L7         6
define  L8         7

//-------------------------------------
// Start initialization
//-------------------------------------
loadBKD \BACKGRND\LE2\SALOON\SALOON7.BKD        //
setBKDLoc 0 0 0 0                               //
loadVAB \SOUNDFX\LE2\SALOON.VAB                 // Sound fx

LoadKRT \SPRITES\LE2\SALOON\S1\BOSS3.KRT           // Char 0
ObjectCharacteristics BOSS1 129                 //
CloneCharacter BOSS1                            // Char 1
CloneCharacter BOSS1                            // Char 2
CloneCharacter BOSS1                            // Char 3
CloneCharacter BOSS1                            // Char 4
CloneCharacter BOSS1                            // Char 5
LoadKRT \SPRITES\LE2\SALOON\S2\YOULOSE.KRT         // Char 6
ObjectCharacteristics YOULOSE 16384             //
LoadKRT \SPRITES\LE2\SALOON\S2\WEDRAW.KRT          // Char 7
SetScale BOSS1 4300                             //
SetScale BOSS2 4300                             //
SetScale BOSS3 4150                             //
SetScale BOSS4 4300                             //
SetScale BOSS5 4300                             //
SetScale BOSS6 4150                             //

PlayTrack 510 0         // SD_BOSS2

//StartActionXY BOSS1 10  50 135  4 0 0 L1   // When there's only one player
//StartActionXY BOSS2 10 160 135  4 0 0 L1
//StartActionXY BOSS3 11 270 136  4 0 0 L1
//StartActionXY BOSS1 10  35 135  4 0 0 L1   // When there's 2 players
//StartActionXY BOSS2 10  79 135  4 0 0 L1
//StartActionXY BOSS3 11 123 136  4 0 0 L1
//StartActionXY BOSS4 10 197 135  4 0 0 L1
//StartActionXY BOSS5 10 241 135  4 0 0 L1
//StartActionXY BOSS6 11 285 136  4 0 0 L1
StartActionXY   WEDRAW 0 160 140 14 0 0 L1

PlaySound 18 5                            // "When we draw, start shootin"

//StartActionXY BOSS2  3  79 135  4 200 0 L1
//StartActionXY BOSS5  5 241 135  4 400 0 L1

EndRound 30000
